Page MenuHomePhabricator

LivePreview should give feedback when failing
Closed, ResolvedPublic

Description

Currently when LP fails (for no matter what reason), the spinner is removed, but there is no feedback given to the user.

Instead we should show an error, and ask the user to try again or something similar.

Event Timeline

TheDJ created this task.Feb 23 2015, 9:26 PM
TheDJ raised the priority of this task from to Needs Triage.
TheDJ updated the task description. (Show Details)
TheDJ added a subscriber: TheDJ.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 23 2015, 9:26 PM
Aklapper triaged this task as Normal priority.Feb 26 2015, 1:43 PM

Change 193578 had a related patch set uploaded (by TheDJ):
LivePreview: Notifiy user about errors

https://gerrit.wikimedia.org/r/193578

TheDJ added a comment.Feb 28 2015, 3:40 PM

Jmm, i was a bit in doubt how far I should go with this. It also doesn't seem we have much of an established flow for this.

Initially I figured mw.notify would be just fine, but now I'm wondering. Perhaps connection issues are much more common, and a 'load on demand' mw.notify doesn't help you too much in that case...

  • Hard depend on mw.notification ?
  • Use .errorbox class and just write html into the page ?
  • Disable livepreview, and submit again the traditional way ?
TheDJ claimed this task.Mar 20 2015, 7:16 AM
TheDJ added a comment.Mar 24 2015, 9:21 PM

I've chosen to go with errorbox. it seemed the most simple solution, that would work the most reliable.

Change 193578 merged by jenkins-bot:
LivePreview: Notifiy user about errors

https://gerrit.wikimedia.org/r/193578

Change 199792 had a related patch set uploaded (by TheDJ):
LivePreview: Let's not potentially mangle #wikiPreview

https://gerrit.wikimedia.org/r/199792

Change 199792 merged by jenkins-bot:
LivePreview: Let's not potentially mangle #wikiPreview

https://gerrit.wikimedia.org/r/199792

TheDJ closed this task as Resolved.Mar 26 2015, 8:22 AM
TheDJ removed a project: Patch-For-Review.
TheDJ set Security to None.